-- name: Arena - Base Stages
-- description: For Shine Thief. Paintings by EmeraldLockdown.

-- register the level here
LEVEL_ARENA_ORIGIN    = level_register('level_arena_origin_entry',    COURSE_NONE, 'Origin',    'origin',    28000, 0x28, 0x28, 0x28)
LEVEL_ARENA_SKY_BEACH = level_register('level_arena_sky_beach_entry', COURSE_NONE, 'Sky Beach', 'beach',     28000, 0x28, 0x28, 0x28)
LEVEL_ARENA_PILLARS   = level_register('level_arena_pillars_entry',   COURSE_NONE, 'Pillars',   'pillars',   28000, 0x28, 0x28, 0x28)
LEVEL_ARENA_FORTS     = level_register('level_arena_forts_entry',     COURSE_NONE, 'Forts',     'forts',     28000, 0x28, 0x28, 0x28)
LEVEL_ARENA_CITADEL   = level_register('level_arena_citadel_entry',   COURSE_NONE, 'Citadel',   'citadel',   28000, 0x28, 0x28, 0x28)
LEVEL_ARENA_SPIRE     = level_register('level_arena_spire_entry',     COURSE_NONE, 'Spire',     'spire',     28000, 0x28, 0x28, 0x28)

-- make sure we don't add the level twice
local sAddedLevels = false

function on_level_init()
    -- make sure we don't add the level twice
    if sAddedLevels then return end
    sAddedLevels = true

    -- make sure Arena was loaded
    if not _G.Arena then
        djui_popup_create("Error: the Arena gamemode wasn't loaded!", 2)
        return
    end

    -- add the level to arena
    _G.Arena.add_level(LEVEL_ARENA_ORIGIN, 'Origin')
    if _G.ShineThief then
        _G.ShineThief.add_painting(get_texture_info("painting_origin"))
    end
    _G.Arena.add_level(LEVEL_ARENA_SKY_BEACH, 'Sky Beach')
    if _G.ShineThief then
        _G.ShineThief.add_painting(get_texture_info("painting_sky_beach"))
    end
    _G.Arena.add_level(LEVEL_ARENA_PILLARS, 'Pillars')
    if _G.ShineThief then
        _G.ShineThief.add_painting(get_texture_info("painting_pillars"))
    end
    _G.Arena.add_level(LEVEL_ARENA_FORTS, 'Forts')
    if _G.ShineThief then
        _G.ShineThief.add_painting(get_texture_info("painting_forts"))
    end
    _G.Arena.add_level(LEVEL_ARENA_CITADEL, 'Citadel')
    if _G.ShineThief then
        _G.ShineThief.add_painting(get_texture_info("painting_citadel"))
    end
    _G.Arena.add_level(LEVEL_ARENA_SPIRE, 'Spire')
    if _G.ShineThief then
        _G.ShineThief.add_painting(get_texture_info("painting_spire"))
    end
end

hook_event(HOOK_ON_LEVEL_INIT, on_level_init)
